Skip to main content
GET
/
hris
/
employees
/
form
Python
from kombo import Kombo


with Kombo(
    integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
    api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:

    res = k_client.hris.get_employee_form()

    # Handle response
    print(res)
import { Kombo } from "@kombo-api/sdk";

const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
const result = await kombo.hris.getEmployeeForm();

console.log(result);
}

run();
require 'kombo'

Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.hris.get_employee_form

unless res.get_hris_employees_form_positive_response.nil?
# handle response
end
curl --request GET \
--url https://api.kombo.dev/v1/hris/employees/form \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'
const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.kombo.dev/v1/hris/employees/form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employees/form",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.kombo.dev/v1/hris/employees/form"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/hris/employees/form")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();
{
  "status": "success",
  "data": {
    "properties": {
      "firstName": {
        "label": "First Name",
        "required": true,
        "description": "Employee's first name",
        "unified_key": "first_name",
        "type": "text",
        "min_length": 1,
        "max_length": 100,
        "reg_exp": null
      },
      "startDate": {
        "label": "Start Date",
        "required": true,
        "description": "Employee's start date",
        "unified_key": "start_date",
        "type": "date"
      },
      "workLocation": {
        "label": "Work Location",
        "required": false,
        "description": "Employee's work location",
        "unified_key": null,
        "type": "object",
        "properties": {
          "site": {
            "label": "Site",
            "required": true,
            "description": "Employee's site",
            "unified_key": null,
            "type": "single_select",
            "options": {
              "type": "inline",
              "entries": [
                {
                  "id": "FXrER44xubBqA9DLgZ3PFNNx",
                  "label": "Site 1",
                  "unified_value": "1",
                  "remote_id": "site_1"
                },
                {
                  "id": "2rv75UKT2XBoQXsUb9agiTUm",
                  "label": "Site 2",
                  "unified_value": "2",
                  "remote_id": "site_2"
                }
              ]
            }
          },
          "keyNumbers": {
            "label": "Key Numbers",
            "required": false,
            "description": "Employee's key numbers",
            "unified_key": null,
            "type": "array",
            "item_type": {
              "label": "Key Number",
              "required": false,
              "description": "The number of the keys which belong to the employee",
              "unified_key": null,
              "type": "number",
              "min": 0,
              "max": 99
            },
            "min_items": 2,
            "max_items": 5
          }
        }
      }
    }
  },
  "warnings": [
    {
      "message": "This is an example warning!"
    }
  ]
}
Follow our create employee guide here to learn how this form is generated and how you can use it. The usage and impact of the staffing_entity_id parameter is described in the our Create Employee Form with Staffing Entities guide.

Example Form

{
  "properties": {
    "firstName": {
      "type": "text",
      "label": "First Name",
      "required": true,
      "description": "Employee's first name",
      "unified_key": "first_name",
      "min_length": 1,
      "max_length": 100
    },
    "startDate": {
      "type": "date",
      "label": "Start Date",
      "required": true,
      "description": "Employee's start date",
      "unified_key": "start_date"
    },
    "workLocation": {
      "type": "object",
      "label": "Work Location",
      "required": false,
      "description": "Employee's work location",
      "unified_key": null,
      "properties": {
        "site": {
          "type": "single_select",
          "label": "Site",
          "required": true,
          "description": "Employee's site",
          "unified_key": null,
          "options": {
            "type": "inline",
            "entries": [
              {
                "label": "Site 1",
                "id": "FXrER44xubBqA9DLgZ3PFNNx",
                "unified_value": "1",
                "remote_id": "site_1"
              },
              {
                "label": "Site 2",
                "id": "2rv75UKT2XBoQXsUb9agiTUm",
                "unified_value": "2",
                "remote_id": "site_2"
              }
            ]
          }
        },
        "keyNumbers": {
          "type": "array",
          "label": "Key Numbers",
          "required": false,
          "description": "Employee's key numbers",
          "unified_key": null,
          "min_items": 2,
          "max_items": 5,
          "item_type": {
            "type": "number",
            "label": "Key Number",
            "required": false,
            "description": "The number of the keys which belong to the employee",
            "unified_key": null,
            "min": 0,
            "max": 99
          }
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Headers

X-Integration-Id
string
required

ID of the integration you want to interact with.

Query Parameters

staffing_entity_id
string

GET /hris/employees/form Parameter

Required string length: 24
Pattern: ^[1-9A-HJ-NP-Za-km-z]+$

Response

GET /hris/employees/form Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
"properties": {
"firstName": {
"label": "First Name",
"required": true,
"description": "Employee's first name",
"unified_key": "first_name",
"type": "text",
"min_length": 1,
"max_length": 100,
"reg_exp": null
},
"startDate": {
"label": "Start Date",
"required": true,
"description": "Employee's start date",
"unified_key": "start_date",
"type": "date"
},
"workLocation": {
"label": "Work Location",
"required": false,
"description": "Employee's work location",
"unified_key": null,
"type": "object",
"properties": {
"site": {
"label": "Site",
"required": true,
"description": "Employee's site",
"unified_key": null,
"type": "single_select",
"options": {
"type": "inline",
"entries": [
{
"id": "FXrER44xubBqA9DLgZ3PFNNx",
"label": "Site 1",
"unified_value": "1",
"remote_id": "site_1"
},
{
"id": "2rv75UKT2XBoQXsUb9agiTUm",
"label": "Site 2",
"unified_value": "2",
"remote_id": "site_2"
}
]
}
},
"keyNumbers": {
"label": "Key Numbers",
"required": false,
"description": "Employee's key numbers",
"unified_key": null,
"type": "array",
"item_type": {
"label": "Key Number",
"required": false,
"description": "The number of the keys which belong to the employee",
"unified_key": null,
"type": "number",
"min": 0,
"max": 99
},
"min_items": 2,
"max_items": 5
}
}
}
}
}
warnings
object[]
required

These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.